# 使用说明
参考
`ssh://git@103.249.252.28:10022/wangshujun/91isoft_spbt_project.git`
## 配置 settings.xml 

清空`<mirrors></mirrors> `
~~~
<profile>
			<id>nexus</id>
			<repositories>
				<repository>
					<id>nexus-aliyun</id>
					<!--<url>http://103.249.252.109:8081/nexus/content/groups/public</url>-->
					<url>http://maven.aliyun.com/nexus/content/groups/public/</url>     
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</repository>
				
				<repository>
					<id>nexus-repo1</id>
					<!--<url>http://103.249.252.109:8081/nexus/content/groups/public</url>-->
					 <url> http://repo1.maven.org/maven2</url>  
          <releases>
          	<enabled>true</enabled>
          </releases>
          <snapshots>
          	<enabled>true</enabled>
          </snapshots>
				</repository>
				
				<repository>
					<id>nexus-ossrh</id>
					<!--<url>http://103.249.252.109:8081/nexus/content/groups/public</url>-->
					<url>https://oss.sonatype.org/content/repositories/snapshots</url>     
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</repository>
				
				<repository>
					<id>nexus-ossrh</id>
					<!--<url>http://103.249.252.109:8081/nexus/content/repositories/snapshots/</url>-->
					<url>https://oss.sonatype.org/service/local/staging/deploy/maven2/</url>     
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</repository>
			
			<repository>
					<id>nexus-91isoft</id>
					<name>local private nexus</name>
					<url>http://103.249.252.28:8081/nexus/content/groups/public/</url>     
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
			</repository>
			
			</repositories>
			
			<pluginRepositories>
				
				<pluginRepository>
					<id>nexus-releases</id>
					<!--<url>http://103.249.252.109:8081/nexus/content/groups/public/</url>-->
					<url>http://maven.aliyun.com/nexus/content/groups/public/</url>     
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</pluginRepository>
				
				
				
				<pluginRepository>
					<id>nexus-91isoft</id>
					<url>http://103.249.252.28:8081/nexus/content/groups/public/</url>    
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</pluginRepository>
			</pluginRepositories>
			
  	</profile>
~~~


## 配置pom.xml


~~~
  <dependencies>
        <dependency>
            <groupId>org.91isoft</groupId>
            <artifactId>91isoft_spbt</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
    </dependencies>
~~~

修改配置文件：application-dev.yml
~~~
cy:
  model:
    multipleDs: false #是否开启双数据源true为开启，false为关闭
    quartz: false #是否开启定时任务
    redis: false #是否开启redis缓存
    DecryptParam: false  #参数加密验证
    CySwagger2Config: true
    #Security 配置 	
    security:
      permitAll:        
          permitUnStatic:	 #允许用户访问的地址（路径）
            - "/static/**"
            - "/webjars/**"
            - "/v2/**"
            - "/swagger-resources/**"
            - "/api-docs/**"
            - "/auth/**"
            - "/code/**/**"
            - "/excelUtil/**"
            - "/cros/**"
            - "/bspace/*"
		  #允许用户访问的地址（静态资源）
          permitStatic: ["/", "/*.html", "/favicon.ico", "/**/*.html", "/**/*.js", "/**/*.css"]  
          logoutSuccessUrl: "/login"	#登陆成功
          loginPage: "/login"		#登录
          loginfailureUrl: "/login-error.html"  #登陆失败

~~~
## 启动项目

`src\main\java\org\rcisoft\ProjectApplication.java`直接启动main函数


### 代码生成器 

默认端口号
~~~~
server:
    port: 8084
~~~~
http://localhost:8084 访问 代码生成器,可以选择数据库信息 自动生成代码
图片地址：
http://learning.91isoft.com:18080/resourceServer/family/upload/mdfiles/8CE2352AE4BE4D9CBB13E891ABE8A63B.png

点击生成 就会自动下载,解压后将
 ` org/rcisoft/business/`下 `bexception/mapper` 文件夹放在 
 
 ` src\main\resources\mapper\biz\ ` 下

将其余的文件放在`org.rcisoft.business` 目录中使用


### swaggerUI 
http://localhost:8084/swagger-ui.html#/  访问swaggerUI
可以看到当前项目所有的接口详情 并测试接口
图片地址：
http://learning.91isoft.com:18080/resourceServer/family/upload/mdfiles/95089C91B7B742B5A589156C456AFDDB.png
